class veil_controller_settings (
    $charset="UTF-8",
    $lang="en_US.UTF-8" ) {

  require veil_repos

  $veil_env = lookup('veil_env')
  $veil_global_group = lookup('veil_global_group')
  $veil_controller_user = lookup('veil_controller_user')
  $veil_controller_sys_user_plain_password = lookup('veil_controller_sys_user_plain_password')
  $veil_ui_user_default = lookup('veil_ui_user_default')
  $ui_plain_password_default = lookup('ui_plain_password_default')
  $veil_ui_user_email_default = lookup('veil_ui_user_email_default')
  $veil_pgsql_db_user = lookup('veil_pgsql_db_user')
  $veil_pgsql_db_name = lookup('veil_pgsql_db_name')
  $veil_pgsql_port = lookup('veil_pgsql_port')
  $veil_pgbouncer_port = lookup('veil_pgbouncer_port')
  $pgsql_db_password = lookup('pgsql_db_password')
  $redis_db_password = lookup('redis_db_password')
  $veil_upgrade_mass = lookup('veil_upgrade_mass')
  $secret_key = file("/etc/veil/veil_app_secret.key")

  file { "/var/lib/ecp-veil/controller/app/bazalt/settings_local.py":
    ensure  => present,
    content => template("$module_name/settings_local.py.erb"),
    mode => '0644',
    owner => $veil_controller_user,
    group => $veil_global_group,
  }

   file { "/var/lib/ecp-veil/controller/other/ctr_init_finalize":
    source  => [ "puppet:///modules/${module_name}/ctr_init_finalize" ],
    owner => 'root',
    group => 'root',
    mode => '0555',
   }

   file { "/var/lib/ecp-veil/controller/other/regenerate_system_token":
    source  => [ "puppet:///modules/${module_name}/regenerate_system_token" ],
    owner => 'root',
    group => 'root',
    mode => '0555',
   }

  exec {"systemctl restart controller-supervisor.service; systemctl restart gunicorn-django.service":
    subscribe   => File['/var/lib/ecp-veil/controller/app/bazalt/settings_local.py'],
    refreshonly => true,
  }

}
